package cn.wisenergy.chnmuseum.party.service.impl;

import cn.wisenergy.chnmuseum.party.common.vo.GenericPageParam;
import cn.wisenergy.chnmuseum.party.model.TOperationLog;
import cn.wisenergy.chnmuseum.party.mapper.TOperationLogMapper;
import cn.wisenergy.chnmuseum.party.service.TOperationLogService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * <pre>
 * 运维日志表 服务实现类
 * </pre>
 *
 * @author Danny Lee
 * @since 2021-03-23
 */
@Slf4j
@Service
public class TOperationLogServiceImpl extends ServiceImpl<TOperationLogMapper, TOperationLog> implements TOperationLogService {

    @Autowired
    private TOperationLogMapper tOperationLogMapper;

    @Override
    public Page<TOperationLog> pageList(Page<TOperationLog> page, TOperationLog operationLog) {
        return page.setRecords(tOperationLogMapper.pageList(page,operationLog));
    }
}
